Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBlockingInteractionBaseRequestContext

All Superinterfaces
  IBaseRequestContext, IGetMarkupBaseRequestContext, IMutableRegistrationContext, INillable, com.bea.wsrp.bind.IPortletContextHolder, IRegistrationContext, IRuntimeContext, IUserContext, Serializable

All Known Subinterfaces:
  IBlockingInteractionRequestContext

    public interface IBlockingInteractionBaseRequestContext

extends IGetMarkupBaseRequestContext

A base request context that represents partial input data for the "performBlockingInteraction" operation. It includes accessors and mutators for most elements described in the WSRP specification except WLP extensions.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `addFormParameter(String name, String[] values)` Adds the supplied name and array of values to form data map.
`void` | `forceGetMarkupCall(boolean value)` "true" value forces a "getMarkup" operation to follow the "performBlockingInteraction" operation.
`Map<String,String[]>` | `getFormParameters()` Name/Value pairs of a submitted form.
`String` | `getInteractionState()` An opaque representation of transient information of the current portlet, used in processing the "performBlockingInteraction" operation.
`InputStream` | `getUploadedData()` A binary blob that is being uploaded by an user.
`void` | `setFormParameter(String name, String[] values)` If the supplied `name` form parameter found, it replaces values with the supplied `values` array, otherwise adds the supplied `name` and `values` as a form parameter.
`void` | `setInteractionState(String interactionState)` Sets the supplied `interactionState` as interaction state for the current portlet.
`void` | `setUploadedData(InputStream inputStream)` Uses supplied `inputStream` a binary blob that is being uploaded.
`boolean` | `shouldForceGetMarkupCall()` Custom method that indicates to execute a "getMarkup" operation

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseRequestContext
`addLocale, addMarkupCharacterSet, addMimeType, getLocales, getMarkupCharacterSets, getMimeTypes, getMode, getNavigationalState, getPublicNavigationalState, getRequestVerb, getUserAgent, getWindowState, isSecureClientCommunicationOn, isValidateTagOn, setMarkupCharacterSet, setMode, setNavigationalState, setPublicNavigationalState, setRequestVerb, setUserAgent, setValidateTagOn, setWindowState`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseRequestContext
`addMimeHeader, getHttpServletRequest, getHttpServletResponse, getMimeHeaders, getMimeHeaders, getProducerInfo, getServletContext, removeMimeHeader, setMimeHeader`

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile, setUserContextKey`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Methods inherited from interface com.bea.wsrp.model.markup.IRuntimeContext
`getDoctypeUri, getNamespacePrefix, getPortletInstanceKey, getSessionID, getSkeleton, getSkeletonChromosome, getSkeletonPath, getSkin, getSkinChromosome, getSkinPath, getTemplates, getThemeName, getThemeSkeletonChromosome, getThemeSkinChromosome, getUserAuthentication, isReturnContentToCaller, isUsingAltSkeleton, isUsingAltSkin, setDoctypeUri, setNamespacePrefix, setPortletInstanceKey, setReturnContentToCaller, setSessionID, setSkeleton, setSkeletonChromosome, setSkeletonPath, setSkin, setSkinChromosome, setSkinPath, setTemplates, setThemeName, setThemeSkeletonChromosome, setThemeSkinChromosome, setUserAuthentication, setUsingAltSkeleton, setUsingAltSkin`

Method Detail

### getInteractionState

    String getInteractionState()

  An opaque representation of transient information of the current portlet, used in processing the "performBlockingInteraction" operation. The value is from the portlet's URL parameter "wsrp-interactionState".

  Returns
    A string representing interaction state of the current portlet.

### setInteractionState

    void setInteractionState(String interactionState)

  Sets the supplied `interactionState` as interaction state for the current portlet.

  Parameters
    `interactionState` - An interaction state for the current portlet.

### getFormParameters

    Map<String,String[]> getFormParameters()

  Name/Value pairs of a submitted form.

  Returns
    A map of name/value pairs of a submitted form.

### addFormParameter

    void addFormParameter(String name,
                          String[] values)

  Adds the supplied name and array of values to form data map. The `values` are added to the existing values list corresponding to the supplied `name` parameter. Note: The data in `values` should be encoded/decoded correctly so that a producer can understand.

  Parameters
    `name` - the name of a form parameter.
    `values` - an array of values for the supplied form parameter.

### setFormParameter

    void setFormParameter(String name,
                          String[] values)

  If the supplied `name` form parameter found, it replaces values with the supplied `values` array, otherwise adds the supplied `name` and `values` as a form parameter. Note: The data in `values` should be encoded/decoded correctly so that a producer can understand.

  Parameters
    `name` - the name of a form parameter.
    `values` - an array of values for the supplied form parameter.

### getUploadedData

    InputStream getUploadedData()
                                throws IOException

  A binary blob that is being uploaded by an user.

  Returns
    An input stream of data that is being uploaded.
  Throws
    `IOException` - if unable to retrieve inputstream from an http request.

### setUploadedData

    void setUploadedData(InputStream inputStream)

  Uses supplied `inputStream` a binary blob that is being uploaded.

  Parameters
    `inputStream` - An input stream of the data being uploaded.

### shouldForceGetMarkupCall

    boolean shouldForceGetMarkupCall()

  Custom method that indicates to execute a "getMarkup" operation

  Returns
    a boolean that indicates whether a "getMarkup" operation will follow the current "performBlockingInteraction" operation are not.

### forceGetMarkupCall

    void forceGetMarkupCall(boolean value)

  "true" value forces a "getMarkup" operation to follow the "performBlockingInteraction" operation. The WLP Producer may send a portlet's markup in a response to the "performBlockingInteraction" operation, the "true" value will force WLP Consumer to ignore the markup received in the "performBlockingInteraction" response and make a "getMarkup" call. This can be usefull in caching portlet's markup.

  Parameters
    `value` - true forces a "getMarkup" call after making the current "performBlockingInteraction" operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved